EDIT - feature request #8867

media list services as iiif manifest service
02/28/2020 05:18 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.13

Severity: normal

Description

for providing universalviewer with manifest files (see #5083) all services returning media lists like portal/taxon/{uuid}/media should
offer to return iiif manifest files.

It makes sense to bundle all these new iiif manifest services under a new service root path:

/iiif/.../manifest

which of course will also be available as

/iiif/.../manifest. json

The service should enrich the manifest with metadata stored within the images. Metadata for images is provided by the REST service
media/{uuid}/metadata which causes the media file to be downloaded. This service should first of all check the server hosting the

media object for metadata. The new image server at the BGBM should be able to deliver this information.

e ||IF Presentation API (specs for the manifest file)

o Manifest Validator: http://iiif.io/api/presentation/validator/

e jiif-apis contains model classes for all currently available IIIF API entities

Services TODO

e /portal/taxon/{uuid}/media -> /iiif/taxon/{uuid}/manifest.json - DONE
¢ /portal/taxon/{uuid}/subtree/media -> /iiif/taxon/{uuid}/subtree/manifest.json - DONE

Other services which will be implemented in #8883

* /media/{uuid}/metadata -> /iiif/media/{uuid}/manifest.json

¢ /media/findByTitle -> /iiif/media/findByTitle/manifest.json

¢ /media/findByldentifier -> /iiif/media/findByldentifier/manifest.json

¢ /media/findByMarker -> /iiif/media/findByMarker/manifest.json

¢ /derivedUnitFacade/{uuid}/derivedUnitMedia -> /iiif/derivedUnitFacade/{uuid}/derivedUnitMedia/manifest.json
¢ /derivedUnitFacade/{uuid}/fieldObjectMedia -> /iiif/derivedUnitFacade/{uuid}/fieldObjectMedia/manifest.json
¢ /derivedUnitFacade/{uuid}/derivedUnitMedia -> /iiif/derivedUnitFacade/{uuid}/derivedUnitMedia/manifest.json
¢ /typedesignation/{uuid}/media -> /iiif/typedesignation/{uuid}/manifest.json

Related issues:

Related to EDIT - task #5083: Alternative image viewer for dataportal Closed
Related to EDIT - bug #6970: MediaUltils.filterAndOrderMediaRepresentations p... Closed
Copied to EDIT - feature request #8883: additional media list services as iii... New
Copied to EDIT - feature request #8884: iiif manifest service: enrich metadat... Rejected

Associated revisions

Revision cec7510d - 02/29/2020 10:41 AM - Andreas Kohlbecker
ref #8868 & ref #5083 bumping jackson to 2.10.2
https://dev.e-taxonomy.eu/redmine/issues/5083
https://iiif.io/api/presentation/2.1/#resource-structure
http://iiif.io/api/presentation/validator/
https://github.com/dbmdz/iiif-apis
https://github.com/dbmdz/iiif-apis
https://dev.e-taxonomy.eu/redmine/issues/8883

Revision 2340b64f - 02/29/2020 12:07 PM - Andreas Kohlbecker

ref #8867 basic implementation of iiif REST service controller

Revision b61d8614 - 03/05/2020 11:09 AM - Andreas Kohlbecker

ref #8867 iiif REST service controller correctly choosing thumbnail and fullsize resolutions

Revision 56873306 - 03/06/2020 12:03 PM - Andreas Kohlbecker

ref #8867 adding image amd cdm media metadata to the manifest

Revision 423442a0 - 03/06/2020 06:17 PM - Andreas Kohlbecker
ref #8867 dedicated handling of rights and credits

Revision 18049¢c0b - 03/07/2020 11:06 PM - Andreas Kohlbecker

ref #8867 copy image attributions & licenses to the manifest

Revision 49805fb2 - 03/09/2020 08:24 AM - Andreas Kohlbecker

ref #8867 showing licenses also in manifest attributions

Revision 86b41121 - 03/09/2020 12:27 PM - Andreas Kohlbecker

ref #8867 better presentation of licenses, copyright and access right

Revision b1c11ab3 - 03/09/2020 01:41 PM - Andreas Kohlbecker

ref #8867 extending taxon manifest by includeTaxonomicChildren parameter

Revision c0667822 - 03/17/2020 01:15 PM - Andreas Kohlbecker
ref #6970 fixing NPE

History

#1 - 02/28/2020 05:18 PM - Andreas Kohlbecker
- Related to task #5083: Alternative image viewer for dataportal added

#2 - 02/28/2020 05:21 PM - Andreas Kohlbecker
- Description updated

#3 - 02/28/2020 05:56 PM - Andreas Kohlbecker

- Description updated

#4 - 02/29/2020 12:09 PM - Andreas Kohlbecker

- Description updated

#5 - 02/29/2020 12:22 PM - Andreas Kohlbecker
- % Done changed from 0 to 10

Open issues:
e Only thumbnail images in the manifest. This is caused by TaxonPortalController.getMediaForTaxon(..) which only returns one low quality
representation when no height and width are set. The may be another older ticket related to this problem

e Add metadata
¢ proper setting of canvas height and width, see comment in the code

#6 - 03/04/2020 10:26 AM - Andreas Kohlbecker

- Status changed from New to In Progress

#7 - 03/04/2020 10:26 AM - Andreas Kohlbecker
- Related to bug #6970: MediaUlils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized added

#8 - 03/09/2020 01:45 PM - Andreas Kohlbecker
- Copied to feature request #8883: additional media list services as iiif manifest service added

#9 - 03/09/2020 01:46 PM - Andreas Kohlbecker
- Description updated
- % Done changed from 10 to 50

#10 - 03/09/2020 01:51 PM - Andreas Kohlbecker

- Copied to feature request #8884 iiif manifest service: enrich metadata with information provided by other iiif image servers added

#11 - 03/17/2020 02:20 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

above mentioned problems (comment 5) are solved.

Closing this issue.

#12 - 05/05/2020 01:15 PM - Andreas Kohlbecker
- Description updated
